## ros-gencpp 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gencpp)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS gencpp-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/gencpp "C++")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/gencpp
  DESTINATION ${GENMSG_LANGS_DESTINATION})

catkin_python_setup()

=== debian/changelog ===
ros-gencpp (0.5.3-4) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 10:39:10 +0100

ros-gencpp (0.5.3-3) unstable; urgency=medium

  * Convert to new catkin with multiarch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 18:43:36 +0100

ros-gencpp (0.5.3-2) unstable; urgency=medium

  * install pkg-config file for rosmake

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 17 Nov 2015 10:19:34 +0100

ros-gencpp (0.5.3-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Fix package name
  * Update packing copyright
  * Update packing copyright
  * Add lintian-overrides
  * Add watch file
  * Fix copyright year
  * Imported Upstream version 0.5.3
  * Initial release (Closes: #804928)

  [ Leopold Palomo-Avellaneda ]
  * Updated Uploaders and Maintainer field
  * Increase Standards-Version to 3.9.6
  * Added VCS fields
  * Added X-Python-Version
  * Updated copyright
  * Updated Description field
  * Updated Python dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 16 Nov 2015 02:37:55 +0000

=== debian/control ===
Source: ros-gencpp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/gencpp
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-gencpp.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-gencpp.git
X-Python-Version: >= 2.7

Package: python-gencpp
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: C++ Robot OS message and service generators
 This package is part of Robot OS (ROS). gencpp is a python program
 that generates ROS messages and service code for C++. It lets you
 generate the code for your program from plain text files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh  $@ --parallel --buildsystem=cmake --with python2

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gencpp-$1\.tar\.gz/ \
  https://github.com/ros/gencpp/releases .*/v?(\d\S*)\.tar\.gz

## ros-gencpp 0.5.4

=== debian/changelog ===
ros-gencpp (0.5.4-1) unstable; urgency=medium

  * Imported Upstream version 0.5.4

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 11:17:17 +0200

## ros-gencpp 0.5.5

=== debian/changelog ===
ros-gencpp (0.5.5-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * Add patch to make build reproducible

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 18:14:58 +0200

ros-gencpp (0.5.5-1) unstable; urgency=medium

  * Imported Upstream version 0.5.5

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 09:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wiki.ros.org/gencpp
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-gencpp.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-gencpp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-gencpp.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-gencpp.git
 X-Python-Version: >= 2.7
 
 Package: python-gencpp

## ros-gencpp 0.6.0

=== debian/changelog ===
ros-gencpp (0.6.0-4) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 18:57:47 +0200

ros-gencpp (0.6.0-3) unstable; urgency=medium

  * Add python3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 17:32:48 +0200

ros-gencpp (0.6.0-2) unstable; urgency=medium

  * Add missing dependency
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Apr 2018 22:32:10 +0200

ros-gencpp (0.6.0-1) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 0.6.0
  * Rebase patches
  * Update policy and debhelper versions
  * Fix typo

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:38:27 +0200

=== debian/control ===
Source: ros-gencpp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, python-genmsg, python-setuptools, python-all, dh-python, python3-all
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/gencpp
Vcs-Browser: https://salsa.debian.org/science-team/ros-gencpp
Vcs-Git: https://salsa.debian.org/science-team/ros-gencpp.git

Package: python-gencpp
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genmsg
Description: C++ Robot OS message and service generators - Python 2 version
 This package is part of Robot OS (ROS). gencpp is a Python program
 that generates ROS messages and service code for C++. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 2 module.

Package: python3-gencpp
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genmsg
Description: C++ Robot OS message and service generators - Python 3 version
 This package is part of Robot OS (ROS). gencpp is a Python program
 that generates ROS messages and service code for C++. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --buildsystem=cmake --with python2,python3

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-gencpp-$1.tar.gz%" \
    https://github.com/ros/gencpp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-gencpp 0.6.2

=== scripts/CMakeLists.txt ===
install(
  FILES msg.h.template srv.h.template
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

catkin_install_python(
  PROGRAMS gen_cpp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-gencpp (0.6.2-4) unstable; urgency=medium

  * Add patch for reproducible file generation

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Nov 2019 08:12:01 +0100

ros-gencpp (0.6.2-3) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938375)
  * Bump policy versions (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:36:46 +0200

ros-gencpp (0.6.2-2) unstable; urgency=medium

  * Fix install file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 21:56:52 +0200

ros-gencpp (0.6.2-1) unstable; urgency=medium

  * Simplify d/rules
  * New upstream version 0.6.2
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * rebase patches
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 20:12:09 +0200

=== debian/control ===
Source: ros-gencpp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, python3-genmsg, python3-setuptools, python3-all, dh-python
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/gencpp
Vcs-Browser: https://salsa.debian.org/science-team/ros-gencpp
Vcs-Git: https://salsa.debian.org/science-team/ros-gencpp.git

Package: python3-gencpp
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genmsg
Breaks: python-gencpp (<< 0.6.2-3)
Replaces: python-gencpp (<< 0.6.2-3)
Description: C++ Robot OS message and service generators - Python 3 version
 This package is part of Robot OS (ROS). gencpp is a Python program
 that generates ROS messages and service code for C++. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

## ros-gencpp 0.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(gencpp)
 find_package(catkin REQUIRED COMPONENTS genmsg)

=== debian/changelog ===
ros-gencpp (0.6.5-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:58:26 +0100

ros-gencpp (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Remove Thomas from Uploaders, thanks for working on this
  * Drop upstreamed patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, python3-genmsg, python3-setuptools, python3-all, dh-python
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, python3-genmsg, python3-setuptools, python3-all, dh-sequence-python3
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/gencpp
 Vcs-Browser: https://salsa.debian.org/science-team/ros-gencpp

## ros-gencpp 0.7.0

=== debian/changelog ===
ros-gencpp (0.7.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 21:33:42 +0200

ros-gencpp (0.7.0-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces

  [ Timo Röhling ]
  * New upstream version 0.7.0
  * Add myself to uploaders
  * Bump Standards-Version to 4.6.1
  * Add README for message rebuilds

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Oct 2022 21:26:55 +0200

=== debian/control ===
Source: ros-gencpp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-genmsg,
 python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/gencpp
Vcs-Browser: https://salsa.debian.org/science-team/ros-gencpp
Vcs-Git: https://salsa.debian.org/science-team/ros-gencpp.git

Package: python3-gencpp
Architecture: all
Depends:
 python3-genmsg,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: C++ Robot OS message and service generators - Python 3 version
 This package is part of Robot OS (ROS). gencpp is a Python program
 that generates ROS messages and service code for C++. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-gencpp-$1.tar.gz%" \
    https://github.com/ros/gencpp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-gencpp 0.7.2

=== debian/changelog ===
ros-gencpp (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Aug 2025 11:06:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin,
  python3-all,
  python3-genmsg,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/gencpp
 Vcs-Browser: https://salsa.debian.org/science-team/ros-gencpp
